# Connecting [Docbook](https://tdg.docbook.org/tdg/5.1/) documents and [Nodebb](https://nodebb.org) forums

## Objective: Link document topics to [Nodebb](https://nodebb.org) forums using automated export.

## Set up the beast

1. Forum category `id` values in **Docbook** source:  
   `<part annotations="forumId=5;" ...>`.
   
2. Generated topics.xml file root element is being expected to contain a per Nodebb user unique identifier:  
   `<map prefix="goiklecture">`

3. Config file derived from [bbtopics.properties.template](bbtopics.properties.template) expected to reside
   in user's home directory i.e. `~/bbtopics.properties`.

## CLI execution

Omit the topic file's extension i.e. for `topics.xml` execute:

```
java -jar id2topic-1.0.jar target/profile/topics
```

## Troubleshooting
### Connect to MongoDB server:

```
mongo -u nodebb -p secret --authenticationDatabase=nodebb
```


### Useful queries:

```
use nodebb
show collections

db.objects.find({hdmId: { $exists: true }})
db.objects.find({hdmId: "goiklecture:sd1QandaExtendInterest" })
```
